package com.yidianling.ydlcommon.custom.router

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/03/24
 */
object YdlCommonRouterManager {

    private var ydlCommonRoute: IYdlCommonRouter ?=null

    fun initYdlCommonRoute(ydlCommonRoute: IYdlCommonRouter) {
        YdlCommonRouterManager.ydlCommonRoute = ydlCommonRoute
    }

    fun getYdlCommonRoute(): IYdlCommonRouter? {
        return ydlCommonRoute
    }

}